<?php

if ( !current_user_can(get_option( $this->shared->get('slug') . "_import_menu_capability")) )  {
	wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'dauc' ) );
}

?>

<!-- output -->

<div class="wrap">

	<h2><?php esc_html_e( 'UberChart - Import', 'dauc' ); ?></h2>

	<div id="daext-menu-wrapper">

		<?php

		//process the csv file upload
		if ( isset( $_FILES['file_to_upload'] ) and
		     isset( $_FILES['file_to_upload']['name'] ) and
		     preg_match('/^.+\.xml$/', $_FILES['file_to_upload']['name'], $matches) === 1 ) {

            $file_path = $_FILES['file_to_upload']['tmp_name'];
			$result = $this->shared->import_charts( $file_path );

			echo '<div class="updated settings-error notice is-dismissible below-h2"><p>' . esc_html($result) . ' ' . esc_html__( 'charts have been added.', 'dauc' ) . '</p><button type="button" class="notice-dismiss"><span class="screen-reader-text">' . esc_html__( 'Dismiss this notice.', 'dauc' ) . '</span></button></div>';

		}

		?>

		<p><?php esc_html_e( 'Import the charts stored in your XML file by clicking the Upload file and import button.', 'dauc' ); ?></p>
		<form enctype="multipart/form-data" id="import-upload-form" method="post" class="wp-upload-form" action="">
			<p>
				<label for="upload"><?php esc_html_e( 'Choose a file from your computer:', 'dauc' ); ?></label>
				<input type="file" id="upload" name="file_to_upload">
			</p>
			<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary"
			                         value="<?php esc_attr_e( 'Upload file and import', 'dauc' ); ?>"></p>
		</form>
        <p><strong><?php esc_html_e('IMPORTANT: This menu should only be used to import the XML files generated with the "Export" menu.', 'dauc'); ?></strong></p>

	</div>

</div>