<?php

if ( ! current_user_can(get_option( $this->shared->get('slug') . "_maintenance_menu_capability")) ) {
    wp_die(esc_attr__('You do not have sufficient permissions to access this page.', 'dauc'));
}

?>

<?php

//Initialize variables -------------------------------------------------------------------------------------------------
$dismissible_notice_a = [];

if (isset($_POST['form_submitted'])) {

    //prepare data
    $task = isset($_POST['task']) ? intval($_POST['task'], 10) : null;

    if ($task !== null) {

        switch ($task) {

            //Delete Data
            case 0:

                $total_counter = 0;

                global $wpdb;
                $table_name   = $wpdb->prefix . $this->shared->get('slug') . "_chart";
                $query_result = $wpdb->query("DELETE FROM $table_name");

                if ($query_result !== false and $query_result > 0) {
                    $total_counter += $query_result;
                }

                $table_name   = $wpdb->prefix . $this->shared->get('slug') . "_data";
                $query_result = $wpdb->query("DELETE FROM $table_name");

                if ($query_result !== false and $query_result > 0) {
                    $total_counter += $query_result;
                }

	            if ($total_counter > 0) {

		            $dismissible_notice_a[] = [
			            'message' => intval($total_counter,10) . ' ' . __('records have been successfully deleted.', 'dauc'),
			            'class' => 'updated'
		            ];

	            } else {

		            $dismissible_notice_a[] = [
			            'message' => __('The are no deletable records.', 'dauc'),
			            'class' => 'error'
		            ];

	            }

                break;

            //Delete Transients
            case 1:

                $result = $this->shared->delete_plugin_transients();

                //Generate message
                if ( $result ) {

	                $dismissible_notice_a[] = [
		                'message' => __('The transients have been successfully deleted.', 'dauc'),
		                'class' => 'updated'
	                ];

                } else {

	                $dismissible_notice_a[] = [
		                'message' => __('There are no transients at the moment.', 'dauc'),
		                'class' => 'error'
	                ];

                }

                break;

            //Reset Settings
            case 2:

	            //Set the default values of the options
	            $this->shared->reset_plugin_options();

	            $dismissible_notice_a[] = [
		            'message' => __( "The plugin options have been successfully set to their default values.", 'helpful-pro'),
		            'class' => 'updated'
	            ];

	            break;

                break;

	        //Add Models
	        case 3:

		        //Add the standard models
		        $result = $this->shared->add_models();

		        //Generate message
		        if ( $result ) {

			        $dismissible_notice_a[] = [
				        'message' => __('The demo data have been successfully added.', 'dauc'),
				        'class' => 'updated'
			        ];

		        } else {

			        $dismissible_notice_a[] = [
				        'message' => __('There was an error generating the demo data.', 'dauc'),
				        'class' => 'error'
			        ];

		        }

		        break;

        }

    }

}

?>

<!-- output -->

<div class="wrap">

    <div id="daext-header-wrapper" class="daext-clearfix">

        <h2><?php esc_html_e('UberChart - Maintenance', 'dauc'); ?></h2>

    </div>

    <div id="daext-menu-wrapper">

	    <?php $this->dismissible_notice($dismissible_notice_a); ?>

        <!-- table -->

        <div>

            <form id="form-maintenance" method="POST"
                  action="admin.php?page=<?php echo esc_attr($this->shared->get('slug')); ?>-maintenance"
                  autocomplete="off">

                <input type="hidden" value="1" name="form_submitted">

                <div class="daext-form-container">

                    <div class="daext-form-title"><?php esc_html_e('Maintenance', 'dauc'); ?></div>

                    <table class="daext-form daext-form-table">

                        <!-- Task -->
                        <tr>
                            <th scope="row"><?php esc_html_e('Task', 'dauc'); ?></th>
                            <td>
                                <select id="task" name="task" class="daext-display-none">
                                    <option value="0" selected="selected"><?php esc_html_e('Delete Data', 'dauc'); ?></option>
                                    <option value="1"><?php esc_html_e('Delete Transients', 'dauc'); ?></option>
                                    <option value="2"><?php esc_html_e('Reset Settings', 'dauc'); ?></option>
                                    <option value="3"><?php esc_html_e('Add Models', 'dauc'); ?></option>
                                </select>
                                <div class="help-icon"
                                     title='<?php esc_attr_e('The task that should be performed.', 'dauc'); ?>'></div>
                            </td>
                        </tr>

                    </table>

                    <!-- submit button -->
                    <div class="daext-form-action">
                        <input id="execute-task" class="button" type="submit"
                               value="<?php esc_attr_e('Execute Task', 'dauc'); ?>">
                    </div>

                </div>

            </form>

        </div>

    </div>

</div>

<!-- Dialog Confirm -->
<div id="dialog-confirm" title="<?php esc_attr_e('Execute the task?', 'dauc'); ?>" class="daext-display-none">
    <p><?php esc_html_e('Do you really want to proceed?', 'dauc'); ?></p>
</div>